Method: logicalProducts.list

Lists LogicalProducts matching given criteria.

HTTP request

GET https://cloudproductregistry.googleapis.com/v1/logicalProducts

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
filter

string

Optional. The filter expression for listing logical products. Filter syntax: https://google.aip.dev/160 Supported fields: suite_id

pageSize

integer

Optional. The maximum number of logical products to return. The service may return fewer than this value. If unspecified, at most 100 logical products will be returned. The maximum value is 500; values above 500 will be coerced to 500.

pageToken

string

Optional. A page token, received from a previous logicalProducts.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to logicalProducts.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for logicalProducts.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "logicalProducts": [
    {
      object (LogicalProduct)
    }
  ],
  "nextPageToken": string
}
Fields
logicalProducts[]

object (LogicalProduct)

Matched LogicalProducts

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.